/*
 * Copyright 2019 European Commission
 *
 * Licensed under the EUPL, Version 1.2 or – as soon they will be approved by the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 *     https://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and limitations under the Licence.
 */
package eu.europa.ec.leos.model.action;

public class CheckinCommentVO {
    
    private String title;
    private String description;
    
    private CheckinElement checkinElement;
    
    // Empty constructor needed for jackson ObjectMapper
    public CheckinCommentVO() {}
    
    public CheckinCommentVO(String title) {
        this.title = title;
    }
    
    public CheckinCommentVO(String title, String description) {
        this.title = title;
        this.description = description;
    }
    
    public CheckinCommentVO(String title, String description, CheckinElement checkinElement) {
        this.title = title;
        this.description = description;
        this.checkinElement = checkinElement;
    }
    
    public String getTitle() {
        return title;
    }
    
    public String getDescription() {
        return description;
    }
    
    public void setTitle(String title) {
        this.title = title;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public CheckinElement getCheckinElement() {
        return checkinElement;
    }
    
    public void setCheckinElement(CheckinElement checkinElement) {
        this.checkinElement = checkinElement;
    }
    
    @Override
    public String toString() {
        return "[title: " + title + ", description: " + description + ", checkinElement: " + checkinElement + "]";
    }
    
}
